## golang-debian-vasudev-gospake2 0.2.1

=== Makefile ===
PKG = "salsa.debian.org/vasudev/gospake2"
PKG_LIST := $(shell go list $(PKG)/...)

.PHONY: all build dep lint test clean cover

all: build

build: dep
	go build -i -v

cover: dep
	./scripts/coverage.sh

lint: dep
	go fmt ${PKG_LIST}
	golint -set_exit_status ${PKG_LIST}
	go vet ${PKG_LIST}

dep:
	./scripts/getdeps.sh

test: dep
	go test -race -short ${PKG_LIST}

=== debian/changelog ===
golang-debian-vasudev-gospake2 (0.2.1-2) unstable; urgency=medium

  * Re-upload as source-only

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 03 Oct 2022 00:25:30 -0500

golang-debian-vasudev-gospake2 (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1020270)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 19 Sep 2022 00:14:52 -0500

=== debian/control ===
Source: golang-debian-vasudev-gospake2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-crypto-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-debian-vasudev-gospake2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-debian-vasudev-gospake2.git
Homepage: https://salsa.debian.org/vasudev/gospake2
Rules-Requires-Root: no
XS-Go-Import-Path: salsa.debian.org/vasudev/gospake2

Package: golang-debian-vasudev-gospake2-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Go SPAKE2 Implementation (library)
 Implementation of SPAKE2 key exchange protocol which interoperates with Rust
 Haskell and Python versions.
 .
 This package defines the behavior of group and its element as package groups.
 It also implements 2 groups ed25519 and multiplicative group over integer as
 2 packages. SPAKE2 calculation uses ed25519 as default group and
 allows user to switch to group of his choice.
